/*
Copyright (C) 2001, 2006 United States Government
as represented by the Administrator of the
National Aeronautics and Space Administration.
All Rights Reserved.
*/
package gov.nasa.worldwind;

/**
 * @author Tom Gaskins
 * @version $Id: FrameController.java 1416 2007-04-06 23:44:19Z tgaskins $
 */
public interface FrameController
{
    void initializeFrame(DrawContext dc);

    void drawFrame(DrawContext dc);

    void finalizeFrame(DrawContext dc);

    void initializePicking(DrawContext dc);
    
    void finalizePicking(DrawContext dc);

    public void pick(DrawContext dc, java.awt.Point pickPoint);
}
